org.jboss.shrinkwrap.descriptor.api.connector16

## Interface AdminobjectType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface AdminobjectType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `adminobjectType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminobjectType<T>` | `adminobjectClass(java.lang.String adminobjectClass)` Sets the `adminobject-class` element
    `AdminobjectType<T>` | `adminobjectInterface(java.lang.String adminobjectInterface)` Sets the `adminobject-interface` element
    `ConfigPropertyType<AdminobjectType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `java.lang.String` | `getAdminobjectClass()` Returns the `adminobject-class` element
    `java.lang.String` | `getAdminobjectInterface()` Returns the `adminobject-interface` element
    `java.util.List<ConfigPropertyType<AdminobjectType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `ConfigPropertyType<AdminobjectType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `AdminobjectType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `AdminobjectType<T>` | `removeAdminobjectClass()` Removes the `adminobject-class` element
    `AdminobjectType<T>` | `removeAdminobjectInterface()` Removes the `adminobject-interface` element
    `AdminobjectType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `AdminobjectType<T>` | `removeId()` Removes the `id` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### adminobjectInterface

          AdminobjectType<T> adminobjectInterface(java.lang.String adminobjectInterface)

      Sets the `adminobject-interface` element
      Parameters:
        `adminobjectInterface` - the value for the element `adminobject-interface`
      Returns:
        the current instance of `AdminobjectType`

    - #### getAdminobjectInterface

          java.lang.String getAdminobjectInterface()

      Returns the `adminobject-interface` element
      Returns:
        the node defined for the element `adminobject-interface`

    - #### removeAdminobjectInterface

          AdminobjectType<T> removeAdminobjectInterface()

      Removes the `adminobject-interface` element
      Returns:
        the current instance of `AdminobjectType`

    - #### adminobjectClass

          AdminobjectType<T> adminobjectClass(java.lang.String adminobjectClass)

      Sets the `adminobject-class` element
      Parameters:
        `adminobjectClass` - the value for the element `adminobject-class`
      Returns:
        the current instance of `AdminobjectType`

    - #### getAdminobjectClass

          java.lang.String getAdminobjectClass()

      Returns the `adminobject-class` element
      Returns:
        the node defined for the element `adminobject-class`

    - #### removeAdminobjectClass

          AdminobjectType<T> removeAdminobjectClass()

      Removes the `adminobject-class` element
      Returns:
        the current instance of `AdminobjectType`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<AdminobjectType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<AdminobjectType<T>> createConfigProperty()

      Creates a new `config-property` element
      Returns:
        the new created instance of `ConfigPropertyType>`

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<AdminobjectType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          AdminobjectType<T> removeAllConfigProperty()

      Removes all `config-property` elements
      Returns:
        the current instance of `ConfigPropertyType>`

    - #### id

          AdminobjectType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `AdminobjectType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          AdminobjectType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `AdminobjectType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)